function [mismatch, mismatch_summary]=mismatch_cal(data,WFLC1D,QWFLC3D,QWFLC4D)
% mismatch_summary gives the average of mismatch across xyz
% error is based on RMSE

for i=1:3 %xyz
    mismatch_WFLC1D_steady_state(i)   = sqrt(mean((data(101:end,i)-WFLC1D(101:end,i)).^2));
    mismatch_QWFLC3D_steady_state(i)  = sqrt(mean((data(101:end,i)-QWFLC3D(101:end,i)).^2));
    mismatch_QWFLC4D_steady_state(i)  = sqrt(mean((data(101:end,i)-QWFLC4D(101:end,i)).^2));
end


mismatch = [mismatch_WFLC1D_steady_state mismatch_QWFLC3D_steady_state mismatch_QWFLC4D_steady_state];
mismatch_summary = [mean(mismatch_WFLC1D_steady_state) mean(mismatch_QWFLC3D_steady_state) mean(mismatch_QWFLC4D_steady_state)];